﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace PlanetTutorial
{
    public class WaterPlanet:Planet
    {
        
        GraphicsDevice graphics;

        public WaterPlanet(GraphicsDevice graf, int seed)
        {
            Seed = seed;
            Type = PlanetType.Water;
            BuildPerm(graf);
            graphics = graf;
        }

        public void LoadContent(ContentManager cont)
        {
            terrain = cont.Load<Effect>("Shaders//Water");
            draw = cont.Load<Effect>("Shaders//ColorMap");
            Palette = cont.Load<Texture2D>("Textures//water");
            atmosphere = cont.Load<Effect>("Shaders//SkyFromSpace");
            Nz =  128;
            Generate(graphics); 
           
        }
    }
}
